package com.jay.monitor.data.server.model;

import com.jay.monitor.data.server.config.props.MonitorProperties;
import com.jay.monitor.data.server.factory.DataIdFactory;
import com.jay.monitor.data.server.factory.callback.DefaultIdChangeCallback;
import com.jay.monitor.data.server.factory.generate.DayIdGenerate;
import com.jay.monitor.data.server.store.SplitDataManager;
import com.jay.monitor.data.server.store.mysql.MysqlDDLProcess;
import org.junit.runner.RunWith;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.Serializable;

/**
 * 测试数据承载
 *
 * @author ： liukx
 * @time ： 2020/8/26 - 14:49
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {MonitorProperties.class, DataSourceAutoConfiguration.class, MysqlDDLProcess.class, SplitDataManager.class, DayIdGenerate.class, DataIdFactory.class, DefaultIdChangeCallback.class})
public class TestDataRequest implements Serializable {

    private String name;

    private String msg;

    public TestDataRequest(String name,  String msg) {
        this.name = name;
        this.msg = msg;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "TestDataRequest{" +
                "name='" + name + '\'' +
                ", msg='" + msg + '\'' +
                '}';
    }
}
